
I stepped into deep water way over my head. After a few bounces from the bottom to catch a breath of air, I ingested too much water, so I died. While in the act of dying, I was terrified, but only for a few seconds. Then a calm and peace came over me that I still remember vividly. Warm light and peace, which exceeds understanding (literally), surrounded me and I was going to the light. Next thing I knew I was lying on the bank being pounded on, with a hurting in my chest.
